# Check balance

### Endpoints

{% code title="Request" %}

```
GET https://cubemmo.net/api/check_balance?api_key={api_key}
```

{% endcode %}

### Request Parameters

| Parameters | Value      | Required | Description                                                                               |
| ---------- | ---------- | -------- | ----------------------------------------------------------------------------------------- |
| api\_key   | {api\_key} | yes      | The API key provided to authenticate the user. Replace {apiKey} with your actual API key. |

### Response

The API returns a JSON object with the following structure:

{% code title="Success Response (200)" %}

```json
{
    "success": true,
    "balance": 9000000
}
```

{% endcode %}

{% code title="Internal Server Error (500)" %}

```json
{
    "success": false,
    "message":"Error."
}

```

{% endcode %}

{% code title="Invalid API Key (401)" %}

```json
{
    "success": false,
    "message":"Invalid API Key"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cubemmo.net/api-documents/check-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
